Bug 887068 - Show Disable button on the task page (not tasks grid)
Summary: Show Disable button on the task page (not tasks grid)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI   
(Show other bugs)
Version: develop
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 24.0
Assignee: Tyrone Abdy
QA Contact: tools-bugs
URL:
Whiteboard: UX
Keywords: FutureFeature, Patch
Depends On:
Blocks: 1346620
TreeView+ depends on / blocked
 
Reported: 2012-12-14 01:20 UTC by John Skeoch
Modified: 2018-02-06 00:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:48:54 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Skeoch 2012-12-14 01:20:59 UTC
Description of problem:
Currently when logged in as an admin, it is possible to search the tasks and delete/disable any unwanted tasks from complete task list, or returned search results. However if you are provided with direct link a task there is no option to delete/display. 


Version-Release number of selected component (if applicable):


How reproducible:
As an admin always.

Steps to Reproduce:
1. Open Beaker, navigate to Scheduler, then Task Library.
2. In the list Disable is visible
3. Select a task, to view more details, Disable is not available.
  
Actual results:


Expected results:
A button to disable tasks, whilst in the corresponding task.

Additional info:

Comment 2 Dan Callaghan 2016-09-12 06:02:07 UTC
It would make sense to put the Disable button in the page header of the task page (and remove it entirely from the tasks grid). This matches how we treated the Delete button for groups and system pools.

We probably should port the task page to Backgrid at the same time...

Comment 3 Tyrone Abdy 2016-09-16 05:13:07 UTC
https://gerrit.beaker-project.org/#/c/5234/

Comment 7 Dan Callaghan 2017-02-21 18:48:54 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.